//
//  NetverifyScanOverlayView.h
//
//  Copyright © 2019 Jumio Corporation. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "NetverifyViewController.h"

/**
 * UIView that implements NetverifyAppearance protocol that is used to tint our scan overlays.
 * Please check out our Surface Tool https://jumio.github.io/surface-ios/ to see what customization options are supported.
 **/
__attribute__((visibility("default"))) @interface NetverifyScanOverlayView : UIView <NetverifyAppearance>

/**
 * Set the UIColor that should be used for all standard scan overlays
 **/
@property (nonatomic, strong) UIColor *colorOverlayStandard UI_APPEARANCE_SELECTOR;
/**
 * Set the UIColor that should be used when highlighting a valid scan
 **/
@property (nonatomic, strong) UIColor *colorOverlayValid UI_APPEARANCE_SELECTOR;
/**
 * Set the UIColor that should be used when highlighting a invalid scan
 **/
@property (nonatomic, strong) UIColor *colorOverlayInvalid UI_APPEARANCE_SELECTOR;

/**
 * Set the UIColor for the face oval outline
 **/
@property (nonatomic, strong) UIColor *faceOvalColor UI_APPEARANCE_SELECTOR;

/**
 * Set the UIColor for the progress bars
 **/
@property (nonatomic, strong) UIColor *faceProgressColor UI_APPEARANCE_SELECTOR;

/**
 * Set the UIColor for the background of the feedback view
 **/
@property (nonatomic, strong) UIColor *faceFeedbackBackgroundColor UI_APPEARANCE_SELECTOR;

/**
 * Set the UIColor for the text of the feedback view
 **/
@property (nonatomic, strong) UIColor *faceFeedbackTextColor UI_APPEARANCE_SELECTOR;



@end
